@echo off


REM Comment out this line to specify your JAVA path:
REM SET JAVA_HOME=<path_to_java>


set OLDDIR=%CD%
cd /d %~dp0%

set APP_BASEDIR=%CD%

set JAVA_COMMAND=%JAVA_HOME%\bin\java
set APP_LOG_FILE=%APP_BASEDIR%\logs\tutti-synchro-server-5.2-beta-3.log
set APP_CONF_FILE=%APP_BASEDIR%\conf\tutti-synchro-server.config
set JAVA_OPTS=-server -Xms512m -Xmx2g -XX:+UseConcMarkSweepGC -XX:+CMSParallelRemarkEnabled -XX:+UseCMSInitiatingOccupancyOnly -XX:CMSInitiatingOccupancyFraction=50 -XX:+ScavengeBeforeFullGC
      -XX:+CMSScavengeBeforeRemark

rem Comment out if oracle connection need TNS_ADMIN file:
rem set JAVA_OPTS=%JAVA_OPTS% -Doracle.net.tns_admin=\\brest\tnsnames

if not exist "%JAVA_HOME%" goto no_java

echo ===============================================================================
echo .
echo   Tutti :: Synchro Server Application
echo .
echo   JAVA: %JAVA_COMMAND%
echo .
echo   JAVA_OPTS: %JAVA_OPTS%
echo .
echo   log file: %APP_LOG_FILE%
echo .
echo ===============================================================================
echo .

:RESTART
"%JAVA_COMMAND%" %JAVA_OPTS% "-Dadagio.basedir=%APP_BASEDIR%" "-Dcatalina.base=%APP_BASEDIR%" "-Dsynchro-server.config=%APP_CONF_FILE%" -jar lib\jetty-runner.jar --lib lib %1 %2 %3 %4 %5 %6 %7 %8 %9 lib\adagio-synchro-server-4.1.16.war
IF ERRORLEVEL 10 GOTO RESTART

set exitcode=%ERRORLEVEL%
echo Stop Tutti :: Synchro Server Application with code: %exitcode%

cd %OLDDIR%

:END
if "%NOPAUSE%" == "" pause
:END_NO_PAUSE

exit /b %exitcode%
goto end

no_java:
echo "Java not detected ! Please set environment variable JAVA_HOME before launching,"
echo "or edit the file 'run.bat' and insert this line :"
echo " SET JAVA_HOME=<path_to_java>"

:end